import { Component, OnInit } from '@angular/core';
import {NgForm} from '@angular/forms';
import {Http, Response, Headers, RequestOptions} from "@angular/http";
import { Iemployees } from '../listemployee/iemployees';
import { EmployeesService } from '../listemployee/employees.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-employee',
  templateUrl: './employee.component.html',
  styleUrls: ['./employee.component.css'],
  providers: [EmployeesService]
})

export class EmployeeComponent implements OnInit {

  constructor(private _employeeService:EmployeesService,private router: Router){
      
  }

  onSubmit(f: NgForm) {
    console.log(f.value);  // { first: '', last: '' }
    console.log(f.valid);  // false

  //  this._employeeService.addNewEmployee(f.value);
    this._employeeService.addNewEmployee(f.value).subscribe((employeeData)=>f.value);
    this.router.navigate(["./home"]);

  }

  selectedGender="Male";

  // //For Display Employee Details
  // firstName: String = "Shabeen";
  // lastName: String = "VK";
  // gender: String = "Male";
  // age: Number =24;

  // //for data binding
  //  getEmployee(): String{
  //   return this.firstName + '' +this.lastName;
  // }

  
  // //For Button Desable/enable property
  // isDisabled: Boolean=false;

  // //For salary Div Disable when page load
  // salary_div_status: Boolean=true;

  // //For show Salary Details
  // salary_basic: number = 1000;
  // salary_pf: number = 500;
  // salary_esi: number = 500;

  // //For attribute Binding
  // columnSpan: number=2;

  // //For color Class Binding
  // buttonColor: String ="buttonColor buttonBackground";

  // //For Style Binding
  // isBold: Boolean=true;

  

 // constructor() { }

  ngOnInit() {
  }

}
