import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-filteremployeelist',
  templateUrl: './filteremployeelist.component.html',
  styleUrls: ['./filteremployeelist.component.css']
})
export class FilteremployeelistComponent implements OnInit {

  selectedRadioButtonValue='All';

  @Output()
  countRadioButtonSelectionChanged:EventEmitter<string>=new EventEmitter<string>();

  @Input()
  all : number;

  @Input()
  male : number;

  @Input()
  female : number;

  constructor() { }

  ngOnInit() {
  }
  onRadioButtonSelectionChange(){
     this.countRadioButtonSelectionChanged.emit(this.selectedRadioButtonValue);
     console.log(this.selectedRadioButtonValue);
  }

}
